Bug 17015 - gcc -O2 miscompiled XFree86 4.0.1b
Summary: gcc -O2 miscompiled XFree86 4.0.1b
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gcc (Show other bugs)
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-08-27 22:35 UTC by Red Hat Bugzilla
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-27 22:35:52 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Red Hat Bugzilla 2000-08-27 22:35:50 UTC
gcc -O2 miscompiled XFree86 4.0.1b. bitmap dumps core when selecting
File -> New or File -> Resize. Using -O generates a working bitmap.

Comment 1 Red Hat Bugzilla 2000-09-06 06:11:33 UTC
It is not a gcc bug, but a bug in Xaw. Jakub's patch for Xaw has been checked
into XFree86 CVS.


Note You need to log in before you can comment on or make changes to this bug.